pimcore:
    workflows:
        asset_workflow:
            label: 'Asset Workflow'
            type: 'workflow'
            supports:
                - '\Pimcore\Model\Asset'

            places:
                new:
                    label: 'New Asset'
                    color: '#377ea9'
                    permissions:
                        - condition: "is_fully_authenticated() and 'ROLE_PIMCORE_ADMIN' in role_names" 
                          publish: true
                          delete: true
                          save: true
                          modify: true
                         
                rejected:
                    label: 'Rejected asset'
                    color: '#28a013'
                    permissions:
                        - condition: "is_fully_authenticated() and 'ROLE_PIMCORE_ADMIN' in role_names"
                          modify: true

                approved:
                    label: 'Approved asset'
                    color: '#d9ef36'
                    permissions:
                        - condition: "is_fully_authenticated() and 'ROLE_PIMCORE_ADMIN' in role_names"
                          modify: true

            transitions:
                rejectProduct:
                    from: new
                    to: rejected
                    options:
                        label: 'Reject Asset'
                    guard: "is_fully_authenticated() and is_granted('ROLE_PIMCORE_ADMIN')" 

                reset:
                    from: rejected
                    to: new
                    options:
                        label: 'Reset Asset'
                    guard: "is_fully_authenticated() and is_granted('ROLE_PIMCORE_ADMIN')" 

                rejectToNew:
                    from: new
                    to: approved
                    options:
                        label: 'Approve Asset'
                    guard: "is_fully_authenticated() and is_granted('ROLE_PIMCORE_ADMIN')"  
